lucene-solr-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Chris Harris" <rygu...@gmail.com>
Subject Re: Are 1.2 and 1.3/trunk indexes compatible?
Date Wed, 26 Mar 2008 20:18:38 GMT
Looks like that can't-go-back bit hasn't made it into CHANGES.txt yet.
Might want to eventually add that somewhere particularly obvious, to
help out people who assume they could downgrade. Maybe under
"Upgrading from Solr 1.2"?

On Wed, Mar 26, 2008 at 12:59 PM, Ryan McKinley <ryantxu@gmail.com> wrote:
> It *should* work as a drop in replacement.  Check:
>  http://svn.apache.org/repos/asf/lucene/solr/trunk/CHANGES.txt
>
>  So you should be good.  Note that trunk has a newer verison of lucene,
>  so the index will be automatically upgraded and you can't go back from
>  there.
>
>  so make sure to backup before trying, but it should go smoothly...
>
>  ryan
>
>
>  Chris Harris wrote:
>  > What are the odds that I can plop an index created in Solr 1.2 into a
>  > Solr 1.3 and/or Solr trunk install and have things work correctly?
>  > This would be more convenient than reindexing, but I'm wondering how
>  > dangerous it is, and hence how much testing is required.

Mime
View raw message